Bug 153612 - Update devel/arm-elf-binutils to version 2.17
Summary: Update devel/arm-elf-binutils to version 2.17
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pawel Pekala
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-02 00:50 UTC by Pedro F. Giffuni
Modified: 2011-12-29 17:20 UTC (History)
0 users

See Also:


Attachments
file.diff (1.42 KB, patch)
2011-01-02 00:50 UTC, Pedro F. Giffuni
no flags Details | Diff
patch-arm-elf-binutils.txt (4.32 KB, patch)
2011-01-06 04:39 UTC, Pedro F. Giffuni
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro F. Giffuni 2011-01-02 00:50:09 UTC
Update to the last GPLv2 release.

This will hopefully help developers get an environment more consistent
with the base system.

Fix: Patch attached

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2011-01-02 00:50:19 UTC
Maintainer of devel/arm-elf-binutils,

Please note that PR ports/153612 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/153612

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2011-01-02 00:50:21 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 jflemer 2011-01-04 05:14:00 UTC
Looks ok to me.  I don't have a fbsd environment up right now though.
It will probably be at least a month before I can actually test this.
If anyone is willing, I'd certainly yield maintainer since I don't
play with ARM stuff anymore.
-James
Comment 4 Pedro F. Giffuni 2011-01-06 04:39:59 UTC
Add some patches from Gentoo that may fix bugs.
While here, add LICENSE.
 
Comment 5 Tilman Keskinoz freebsd_committer 2011-08-01 20:30:11 UTC
State Changed
From-To: feedback->open

maintainer approved
Comment 6 Mark Linimon freebsd_committer freebsd_triage 2011-08-21 18:14:52 UTC
State Changed
From-To: open->feedback

Maintainer reports that he is no longer active in using ARM, and is 
willing to relinquish the port. 

To submitter: would you be willing to take it over? 


Comment 7 Mark Linimon freebsd_committer freebsd_triage 2011-08-21 18:14:52 UTC
Responsible Changed
From-To: freebsd-ports-bugs->linimon

track.
Comment 8 Pedro F. Giffuni 2011-10-20 02:20:19 UTC
 Hello;
Unfortunately I can't maintain this but it should be updated.

Best regards,

Pedro.
Comment 9 Mark Linimon freebsd_committer freebsd_triage 2011-12-11 22:01:24 UTC
State Changed
From-To: feedback->open

Feedback received quite some time ago.  My apologies for not 
sending this one back to the pool. 


Comment 10 Mark Linimon freebsd_committer freebsd_triage 2011-12-11 22:01:24 UTC
Responsible Changed
From-To: linimon->freebsd-ports-bugs
Comment 11 Pawel Pekala freebsd_committer 2011-12-29 16:50:47 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

I'll take it.
Comment 12 dfilter service freebsd_committer 2011-12-29 17:16:22 UTC
pawel       2011-12-29 17:16:13 UTC

  FreeBSD ports repository

  Modified files:
    devel/arm-elf-binutils Makefile distinfo pkg-plist 
  Log:
  Update to version 2.17
  
  PR:             ports/153612
  Submitted by:   Pedro Giffuni <giffunip@tutopia.com>
  
  Revision  Changes    Path
  1.22      +2 -2      ports/devel/arm-elf-binutils/Makefile
  1.10      +2 -2      ports/devel/arm-elf-binutils/distinfo
  1.8       +22 -1     ports/devel/arm-elf-binutils/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 13 Pawel Pekala freebsd_committer 2011-12-29 17:16:27 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!